body {

  &.purple-bg {
    background-color: $color-primary;
    color: $color-white;

    a:not(.main-nav-link) {
      color: inherit;
    }
  }

  &.features {
    background-color: $color-white;
  }
}

.white-bg {
  background-color: $color-white;
}

.color-primary {
  color: $color-primary;
}

.color-orange {
  color: $color-accent;
}

.color-white {
  color: $color-white;
}

.color-gray {
  color: $color-gray;
}

.color-yellow {
  color: $color-yellow;
}

.color-bronze {
  color: $color-bronze;
}

a:focus,
a:active {
  text-decoration: none;
}

button,
a {
  font-weight: 400;
}

a > code {
  color: $link-code-color;
}

// sass-lint:disable no-qualifying-elements
h1[id],
h2[id],
h3[id],
h4[id],
h5[id] {

  &::before {
    display: block;
    content: " ";
    margin-top: -75px;
    height: 75px;
    visibility: hidden;
  }
}

li {
  margin-top: .5em;
}

// For Google optimize async-hide

//sass-lint:disable-all
.async-hide {
  opacity: 0 !important;
}

.map {
  height: 350px;
  width: 100%;
}

.light {
  font-weight: 300;
}

.medium {
  font-weight: 400;
}

.green {
  color: $color-green;
}

button {
  background: transparent;
}

img {
  max-width: 100%;

  &.shadow {
    box-shadow: 0 4px 18px 0 rgba($color-dark, .1), 0 6px 20px 0 rgba($color-dark, .09);
    margin-bottom: 20px;
    margin-top: 20px;
  }

  @media screen and (min-width: $screen-md-min) {
    &.medium {
      max-width: 75%;
    }

    &.small {
      max-width: 50%;
    }

    &.center {
      display: block;
      margin-left: auto;
      margin-right: auto;

      &.shadow {
        margin-top: 40px; // Handle margin-collapse that comes with display: block
      }
    }

    &.right {
      display: block;
      margin-left: auto;

      &.shadow {
        margin-top: 40px; // Handle margin-collapse that comes with display: block
      }

      &.wrap-text {
        margin: 12px 0 20px 40px;
        float: right;
      }
    }

    &.left {
      display: block;

      &.shadow {
        margin-top: 40px;
      }

      &.wrap-text {
        margin: 12px 40px 20px 0;
        float: left;
      }
    }
  }
}

.callout,
.gitlab-trial {
  background-color: $body-bg;
  padding: 50px 0 70px;

  p {
    margin: 20px auto;
    max-width: 780px;
  }

}

.hero-video-container {
  display: none;
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background: $blog-color-image-to;
  justify-content: center;
  align-items: center;
  z-index: 10000;

  iframe {
    background-color: $color-black;
    box-shadow: 0 10px 20px $color-transparent-alt;
    width: 77%;
    height: 80%;
    min-height: 300px;

    @media (max-width: $screen-sm-min) {
      height: auto;
    }
  }
}

.hero-container {
  position: relative;
  background: $hero-gradient;
  width: 100%;
  padding: 80px 20px;
  padding-bottom: 170px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: $color-white;
  overflow: hidden;
  transform: translateY(-58px);

  .hero-bg {
    position: absolute;
    width: 25%;

    @media all and (max-width: $screen-md-min) {
      width: 40%;
    }

    @media all and (max-width: $screen-sm-min) {
      display: none;
    }
  }

  .hero-bg-left {
    left: 0;
  }

  .hero-bg-right {
    right: 20px;
  }

  .hero-item {
    transform: translateY(40px);
    opacity: 1;
  }

  .hero-content {
    margin-top: 50px;
    max-width: 1000px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    h1 {
      font-size: 82px;
      font-weight: 700;
      text-align: center;

      @media all and (max-width: $screen-sm-min) {
        font-size: 58px;
      }
    }

    .no-assembly {
      margin: 20px 0;
      font-size: 16px;
      font-style: italic;
    }

    p {
      font-size: 24px;
      max-width: 820px;
      margin-top: 20px;

      @media all and (max-width: $screen-sm-min) {
        font-size: 20px;
      }
    }

    .hero-thumb-container {
      position: relative;
      width: 100%;
      max-height: 100%;
      margin-top: 100px;
      transition: $transition-primary;
      box-shadow: 0;
      cursor: pointer;
      border-radius: $border-radius-xl;
      overflow: hidden;

      .hero-thumb {
        width: 100%;
        filter: blur(6px);
        transform: scale(1.05);
      }

      //sass-lint:disable-all
      @keyframes heroPlayIcon {

        50% {
          stroke-dashoffset: 0;
        }
        to {
          stroke-dashoffset: -204;
        }
      }

      .hero-play-container {
        width: 200px;
        position: absolute;
        left: calc(50% - 100px);
        top: calc(50% - 50px);

        svg {
          transition: $transition-primary;

          .play-icon-outline {
            animation: heroPlayIcon 4s linear forwards infinite;
            stroke-dasharray: 204;
            stroke-dashoffset: 204;
            transform-origin: center center;
          }
        }

        @media all and (max-width: $screen-xs-min) {
          width: 160px;
          left: calc(50% - 80px);
          top: calc(50% - 36px);
        }
      }

      &:hover {
        transform: scale(1.02);
        box-shadow: $box-shadow-large;

        svg {
          transform: scale(1.05);
        }
      }
    }

    a:not(.btn) {
      margin-top: 20px;
      color: $color-white;
    }
  }

  @media all and (max-width: $screen-xs-min) {
    padding-bottom: 100px;
  }
}

//sass-lint:disable-all
iframe[name='google_conversion_frame'] {
  height: 0 !important;
  width: 0 !important;
  line-height: 0 !important;
  font-size: 0 !important;
  margin-top: -13px;
  float: left;
}
//sass-lint:enable-all

.animated,
.animated a {
  transition: all .2s linear;
}

h2 {
  &.terms {
    padding-top: 50px;
    padding-bottom: 30px;
  }
}

body .mktoRequiredField .mktoAsterix {// sass-lint:disable-line class-name-format
  display: none;
}

.newsletter-form {
  width: 206px;
  margin-left: auto;
  margin-right: auto;
}

.mc-field-group {
  padding-bottom: 5px;
}

.link-box {
  color: $link-box-color;
  border: 2px solid $link-box-border-color;
  padding: 17px;
  text-align: justify;
  border-radius: 3px;
  background: $color-white;
  margin-top: 25px;
  transition: all .2s;

  &:hover {
    background: $link-box-hover-bg;
  }

  h3 {
    margin-top: 0;
  }
}

.cross-out {
  text-decoration: line-through;
}

.dark-background-link {
  color: $color-white;
  text-decoration: underline;
  font-size: 18px;
  transition-duration: .2s;

  &:hover,
  &:visited {
    color: $color-secondary-alt;
  }
}

.white-background-link {
  color: $color-primary-alt;
  text-decoration: underline;
  font-size: 18px;
  transition-duration: .2s;

  &:hover,
  &:visited {
    color: $color-secondary;
  }
}

.panel-purple {
  border-color: $color-primary;

  > .panel-heading {
    color: $color-white;
    background-color: $color-primary;
    border-color: $color-primary;
  }
}

.source-link {
  position: relative;
  padding: 6px 15px 8px;
  color: $color-white;
  font-size: 15px;
  background: $color-primary;
  z-index: 9;

  .external-source-link {
    color: $color-white;
    border-bottom: 1px solid $color-white;

    &:hover {
      border-bottom-color: transparent;
      text-decoration: none;
    }
  }
}

.md-page {
  background: $color-white;
  padding: 25px;
  margin-top: 33px;
  box-shadow: 0 3px 3px rgba($color-dark, .1);
  max-width: 900px;
}

.release-post-scheduling {
  //sass-lint:disable no-important
  max-width: 1100px !important;
}

iframe {
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
}

.signature-block {
  width: 49%;
  display: inline-block;
  padding: 15px;
}

.fixed-sidenav {
  &.affix {
    top: 55px;
  }
}

.team {
  margin: 0;
  padding: 0;
  list-style: none;

  > li {
    display: inline-block;
  }
}

.install-gitlab-btn {
  white-space: normal;
}

.org-structure {
  font-size: 16px;

  li ul {
    margin-left: 30px;

    @media screen and (min-width: $screen-xs-min) {
      margin-left: 100px;
    }
  }

  ul {
    padding-left: 0;
    list-style: none;
  }
}

.page-container {
  position: relative;
  padding-top: 30px;
  padding-bottom: 30px;
  overflow: hidden;

  @media (min-width: 768px) {
    padding-top: 35px;
    padding-bottom: 80px;
  }

  @media (min-width: 1200px) {
    padding-bottom: 120px;
  }

  &.landing-container {
    > .container {
      position: relative;
      z-index: 9;
    }

    .landing-hero {
      margin: 10px 0 50px;

      path {
        fill: $color-secondary;
      }
    }

    .page-subtitle {
      font-size: 28px;

      @media (max-width: $screen-xs-max) {
        font-size: 24px;
      }
    }

    h2 {
      color: $color-gray-extra-light;
      margin-top: 10px;
    }

    @media (min-width: 1200px) {
      padding-bottom: 70px;
    }
  }
}

.contact-sales-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
  padding-top: 0;
  text-align: center;

  p {
    max-width: 700px;
  }

  @media (max-width: $screen-sm-min) {
    padding-top: 50px;
  }

  .btn {
    margin-top: 20px;
  }
}

.featured-item {
  padding: 20px;
  margin-bottom: 15px;
  background-color: $color-white;
  border: 1px solid $color-dark;
  border-radius: 4px;

  @media (min-width: 990px) {
    padding: 40px 30px;
    margin-bottom: 0;
  }

  @media (min-width: 1200px) {
    padding-left: 70px;
    padding-right: 70px;
  }

  .featured-item-icon {
    display: none;
    margin-bottom: 10px;
    font-size: 56px;

    @media (min-width: 768px) {
      display: inline-block;
    }

    @media (min-width: 1200px) {
      margin-bottom: 30px;
    }

    path {
      fill: $color-secondary;
    }
  }

  .featured-item-headline {
    margin-top: 0;
    margin-bottom: 5px;
    color: $color-primary;
  }

  .featured-item-headline-small {
    margin-top: 0;
    margin-bottom: 15px;
    color: $color-primary;
    font-size: 20px;
    font-weight: 300;

    @media (min-width: 1200px) {
      margin-bottom: 38px;
    }
  }

  .featured-item-description {
    margin-bottom: 20px;
    font-size: 17px;

    @media (min-width: 990px) {
      margin-bottom: 25px;
    }

    @media (min-width: 1200px) {
      margin-bottom: 35px;
    }
  }
}

.page-section-header {
  margin-top: 0;
  color: $color-primary;
}

.page-section-sub-header {
  color: $color-gray;
}

.text-bold {
  font-weight: 600;
}

.bold-headline {
  font-size: 52px;
  font-weight: 700;
  text-align: center;
}

.page-headline {
  margin-top: 0;
  margin-bottom: 25px;
  color: $color-white;
  font-size: 36px;
  line-height: 1;

  @media (min-width: $screen-sm-min) {
    font-size: 46px;
  }
}

.what-is {
  padding-top: 40px;
  padding-bottom: 20px;
  background-color: $color-primary-alt;
  color: $color-white;
  font-size: 16px;

  @media (min-width: 990px) {
    padding-top: 60px;
  }

  @media (min-width: 1200px) {
    padding-top: 120px;
  }

  .what-is-item-holder {
    &:not(:last-child) {
      margin-bottom: 15px;
    }

    @media (min-width: 990px) {
      margin-bottom: 0;
    }
  }

  .what-is-item {
    @media (min-width: 1200px) {
      padding-right: 40px;
    }
  }

  .what-is-item-title {
    margin-top: 0;
    margin-bottom: 20px;
    font-size: 30px;
  }

  .what-is-item-content {
    font-size: (16px / 16px) * 1em;

    p {
      margin-top: 0;
      margin-bottom: 10px;
    }

    p:last-child {
      margin-bottom: 0;
    }

    a {
      color: $color-white;
      text-decoration: none;
      border-bottom: 1px solid $color-white;
    }

    a:hover {
      border-bottom-color: transparent;
    }
  }
}

.what-is-item-icon {
  margin-bottom: 10px;
  font-size: (56px / 16px) * 1em;

  path {
    fill: $color-secondary-alt;
  }
}

.logos-section {
  padding-top: 40px;
  padding-bottom: 100px;
  background-color: $color-white;

  @media (min-width: 990px) {
    padding-top: 60px;
  }

  @media (min-width: 1200px) {
    padding-top: 100px;
    padding-bottom: 120px;
  }

  .logos-section-title {
    margin-top: 0;
    margin-bottom: 20px;
    color: $color-primary;
    font-size: 30px;

    @media (min-width: 990px) {
      margin-bottom: 40px;
      font-size: 47px;
    }
  }
}

.content-container {
  padding-top: 40px;
  padding-bottom: 40px;

  @media (min-width: 990px) {
    padding-top: 50px;
    padding-bottom: 50px;
  }

  @media (min-width: 1200px) {
    padding-top: 70px;
    padding-bottom: 70px;
  }
}

.gitlab-cta-container {
  padding: 80px 0 100px;

  h1 {
    color: $color-primary-alt;
  }

  h4 {
    color: $color-gray;
  }

  @media(max-width: $screen-xs-max) {
    h1 {
      font-size: 36px;
    }

    h4 {
      margin-top: 30px;
    }

    a {
      margin-top: 30px;
      text-decoration: underline;
    }
  }
}

.gitlab-com-panel {
  height: 100%;

  .panel-body {
    position: relative;

    @media (min-width: $screen-md-min) {
      height: 100%;
      padding-bottom: 100px;
    }
  }

  @media (min-width: $screen-md-min) {
    .btns {
      position: absolute;
      bottom: 70px;

      b {
        display: inline-block;
        margin-bottom: 10px;
      }
    }
  }
}

.try-gitlab-ee {
  border-top: 1px solid $navbar-default-border;

  .page-headline {
    color: $color-primary;
  }

  .subheader {
    color: $color-gray;

    a {
      color: $color-gray;
      text-decoration: underline;
    }
  }
}

.explore-product-roadmap {
  border-top: 1px solid $navbar-default-border;

  .page-headline {
    color: $color-primary;
  }
}

.explore-gitlab-products {
  border-top: 1px solid $navbar-default-border;
  background-color: $body-bg;
  padding-bottom: 100px;

  .page-headline {
    color: $color-primary;
  }
}

// sass-lint:disable class-name-format
.a2a_default_style {
  margin-top: 10px;
}
// sass-lint:enable class-name-format

.sticky-banner {
  display: none;
  position: fixed;
  z-index: 0;
  bottom: 0;
  width: 100vw;
  height: 70px;
  background-color: $pricing-gray-bg;
  padding: 8px;
  box-shadow: 0 0 8px rgba($color-dark, .15);

  &.active {
    display: block;

    @media (max-width: $screen-xs-max) {
      display: none;
    }
  }

  .sticky-banner-content {
    display: flex;
    flex-flow: row wrap;
    margin: auto;
    max-width: 750px;
  }

  .sticky-banner-text {
    display: block;
    flex: auto;

    .header-text {
      color: $color-primary;
      font-size: 20px;
      margin: 0;

      a {
        color: $color-secondary;
      }
    }

    .subheader-text {
      font-size: 16px;
      color: $color-gray;

      a {
        color: $color-gray;
        text-decoration: underline;
      }
    }
  }

  .action {
    flex: 1;
    padding: 5px 0;

    .featured-item-cta-btn {
      line-height: 20px;
      padding: 10px 15px;
    }
  }

  .dismiss-trial {
    position: absolute;
    right: 40px;
    height: 20px;
    opacity: .8;
    padding: 10px;
    cursor: pointer;
    box-sizing: initial;
    top: calc(50% - 20px);
  }

  .dismiss-trial:hover {
    opacity: 1;
  }

}

//sass-lint:disable class-name-format
.video_container {
  position: relative;
  padding-bottom: 56.25%;
  padding-top: 0;
  height: 0;
  margin-bottom: 15px;

  iframe,
  video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
}
//sass-lint:enable class-name-format

.note {
  font-size: 16px;
  font-style: italic;
  color: $blog-color-note;
}

.page-illustrated-header-container,
.simple-header {
  position: relative;
  overflow: hidden;

  &::after {
    background-image: linear-gradient(to right, $purple-section-gradient-from, $purple-section-gradient-to 100%);
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
  }

  h1 {
    margin: 0;
    color: $color-white;
  }

  h2,
  h3,
  p {
    color: $color-gray-extra-light;
    font-size: 18px;
    line-height: 1.5;
    margin: auto;
    max-width: 800px;
    margin-bottom: 0;
    margin-top: 20px;
  }

  // h3,
  // p {
  //   font-weight: 300;
  //   margin: auto;
  //   margin-top: 10px;
  //   max-width: 800px;
  // }

  .container {
    position: relative;
    z-index: 99;
  }

  > svg {
    position: absolute;
    left: -100px;
    right: -100px;
    top: -25%;
    min-height: 150%;
    min-width: 120%;
    z-index: 9;
    fill: $color-primary;
    opacity: .5;
  }

  @media (min-width: $screen-md-min) {
    h2 {
      font-size: 22px;
      line-height: 1.6;
      margin: 10px auto 0;
      max-width: 900px;
    }
  }

  .header-container-content {
    padding: 20px 0;
    text-align: center;
    color: $color-white;

    @media (min-width: $screen-md-min) {
      padding: 80px 0;
    }
  }
}

//// New content container styles to use

.toc-links {
  width: 100%;
  max-width: 1440px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  margin: 50px auto;

  a {
    color: $color-gray;
    padding: 12px 18px;
    margin: 0 10px;
    text-align: center;
    border-bottom: 4px solid transparent;

    &:hover {
      color: $color-primary;
      text-decoration: none;
      border-bottom: 4px solid $color-primary;
    }

    @media all and (max-width: $screen-sm-min) {
      width: 50%;
      margin: 0;
      border-bottom: 0;

      &:hover {
        border-bottom: 0;
        background: $body-bg;
      }
    }

  }

  @media all and (max-width: $screen-sm-min) {
    width: 100%;
    margin: 0;
    justify-content: flex-start;
    margin-bottom: 50px;
  }

}

// sass-lint:disable no-duplicate-properties
.grid-layout2 {
  grid: 1fr / 1fr 1fr;

  @media all and (max-width: $screen-sm-min) {
    grid: 1fr / 1fr;
  }

  iframe {
    max-height: 385px;
  }

}

// sass-lint:disable no-duplicate-properties
.grid-layout3 {
  grid: 1fr / 1fr 1fr 1fr;

  @media all and (max-width: $screen-lg-min) {
    grid: 1fr / 1fr 1fr;
  }

  @media all and (max-width: $screen-sm-min) {
    grid: 1fr / 1fr;
  }

  iframe {
    max-height: 325px;
  }

}

// sass-lint:disable no-duplicate-properties
.grid-layout {
  display: inline-block;
  display: grid;
  grid-gap: 20px 50px;
  width: 100%;

  .grid-item {
    width: 100%;
    margin-bottom: 30px;
    float: left;
    align-items: flex-start;
  }

}

.share-container {
  display: flex;
  align-items: center;

  p {
    margin: 0;
    margin-right: 10px;

    a {
      color: $color-white;
      text-decoration: underline;
    }
  }

  i {
    font-size: 24px;
    margin: 0;
    padding: 6px 10px;

    &:hover {
      opacity: .6;
    }
  }

  .fa-facebook {
    color: $facebook-blue;
    // color: $color-white;
  }

  .fa-twitter {
    color: $twitter-blue;
    // color: $color-white;
  }

  .fa-reddit {
    color: $reddit-red;
    // color: $color-white;
  }

  @media all and (max-width: $screen-md-min) {
    display: none;
  }
}

// Main container to hold all content below the header
%gitlab-content-container,
.gitlab-content-container {
  padding: 100px 200px;
  margin: auto;
  width: 100%;
  max-width: 1440px;

  h1,
  h2,
  h3 {
    font-weight: 600;
  }

  p,
  li {
    font-size: 18px;
    line-height: 1.5;
  }

  li:not(:first-child) {
    margin-top: .5em;
  }

  iframe {
    width: 100%;
    height: 585px;

    @media all and (max-width: $screen-md-min) {
      height: 400px;
    }

    @media all and (max-width: $screen-xs-min) {
      height: 300px;
    }

  }

  // sass-lint:disable no-duplicate-properties
  .tile-grid-layout {
    display: inline-block;
    display: grid;
    grid-gap: 10px 30px;

    .tile {
      width: 100%;
      margin-bottom: 20px;
      float: left;
      align-items: flex-start;
    }

    @media all and (max-width: $screen-md-min) {
      grid: 1fr / 1fr;
    }

  }

  .row-layout {
    display: flex;
    justify-content: center;
    align-items: center;

    .screenshot {
      border-radius: $border-radius-large;
      box-shadow: 0 2px 4px $color-transparent-alt;
      border: 6px solid $color-white;
      width: 100%;
    }

    div:first-child {
      padding: 0 60px;

      @media all and (max-width: $screen-md-min) {
        padding: 0;
        padding-top: 30px;
        order: 2;
      }

    }

    @media all and (max-width: $screen-md-min) {
      flex-wrap: wrap;
    }

  }

  .content {

    .content-title {
      margin-bottom: 60px;
      text-align: center;
    }

    .content-section-title-container {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      width: 100%;
      margin-bottom: 60px;

      .content-section-icon {
        height: 78px;
        margin-bottom: 20px;
      }
    }

    @media all and (max-width: $screen-sm-min) {
      flex-wrap: wrap;
    }

  }

  .content:not(:first-child) {
    margin-top: 100px;
  }

  @media all and (max-width: $screen-lg-min) {
    padding: 100px;
  }

  @media all and (max-width: $screen-sm-min) {
    padding: 50px 20px;
  }

}

// extend gitlab-content-container to use in background-centered containers with full-width
.gitlab-content-container-full {
  @extend %gitlab-content-container;
  padding: 0;
  max-width: none;
}

// Give gitlab-content-container this class if you want the rows to alternate which side the image is on. See /vsm as an example

.reverse-content {
  display: flex;
  flex-direction: column;

  div:nth-child(even) {

    div:first-child {
      order: 2;

      @media all and (max-width: $screen-md-min) {
        order: 1;
      }

    }

  }

}

//// End of new container styles

.buttons-container {
  display: flex;
  justify-content: center;
  align-items: center;

  .play-icon {
    font-size: 14px;
    margin-right: 10px;
  }

  .btn:not(:first-child) {
    margin-left: 20px;

    @media all and (max-width: $screen-sm-min) {
      margin-left: 0;
      margin-top: 20px;
    }

  }

  @media all and (max-width: $screen-sm-min) {
    flex-direction: column;
  }

  @media all and (max-width: $screen-sm-min) {
    width: 100%;
    max-width: 320px;

    .btn {
      width: 100%;
    }
  }

}

.blank-header {
  width: 100%;
  background: $color-primary;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 80px 20px;
  color: $color-white;
  position: relative;
  overflow: hidden;

  .header-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: 760px;
    z-index: 1;
  }

  .hero-image-small {
    height: 80px;
    max-width: 300px;
    margin-bottom: 40px;
  }

  .hero-image-large {
    height: 130px;
    max-width: 300px;
    margin-bottom: 40px;
  }

  .hero-image-huge {
    height: 160px;
    max-width: 100%;
    margin-bottom: 40px;
  }

  h1 {
    font-size: 42px;
    font-weight: 600;
    color: $color-white;
    margin: 0;
    text-align: center;
  }

  p {
    color: $color-transparent-white-alt;
    font-size: 20px;
    margin-top: 20px;

    a {
      color: $color-white;
      text-decoration: underline;
    }

  }

  .btn {
    margin-top: 30px;
    margin-bottom: 0;
    font-weight: 400;
    padding: 4px 30px;
    font-size: 18px;
    width: auto;
    line-height: 40px;
  }

  .image-border {
    position: absolute;
    top: 0;
    height: 100%;
    min-height: 400px;
    opacity: .2;

    @media all and (max-width: $screen-sm-min) {
      display: none;
    }

  }

  .image-border-left {
    left: 0;
  }

  .image-border-right {
    right: 0;
  }

}

// New button styling

.button-orange {
  padding: 12px 24px;
  background: $color-accent;
  display: flex;
  justify-content: center;
  align-items: center;
  color: $color-white;
  white-space: nowrap;
  border-radius: $border-radius-large;
  max-height: 51px;

  &:hover,
  &:active,
  &:focus {
    background: $color-accent-alt;
    color: $color-white;
    text-decoration: none;
  }

}

//Pagination styling
.pagination {
  display: inline-block;
  list-style: none;

  li {
    float: left;

    span {
      padding: $padding-base-vertical $padding-base-horizontal;
      line-height: $line-height-base;
      text-decoration: none;
      color: $color-primary;
      margin-left: -1px;
      cursor: pointer;
    }

    &.active {
      span {
        cursor: default;
      }
    }
  }
}

.float-right {
  float: right;
}

.vertical-align-top {
  vertical-align: top;
}

.vertical-align-baseline {
  vertical-align: baseline;
}

.vertical-align-middle {
  vertical-align: middle;
}

.vertical-align-bottom {
  vertical-align: bottom;
}

.capitalize {
  text-transform: capitalize;
}

.z-index1 {
  z-index: 1;
}

.flex-container {
  display: flex;
}

.flex-start {
  align-items: flex-start;
  justify-content: flex-start;
}

.flex-wrap {
  flex-wrap: wrap;
}

.flex-wrap-md {

  @media all and (max-width: $screen-md-min) {
    flex-direction: column;
    align-items: flex-start;
  }

}

.grid-container {
  display: grid;
}

.flex-column {
  flex-direction: column;
}

.justify-center {
  justify-content: center;
}

.align-center {
  align-items: center;
}

.flex-shrink {
  flex-shrink: 0;
}

.full-width {
  width: 100%;
}

.full-height {
  height: 100%;
}

.space-between {
  justify-content: space-between;
}

.clear-background {
  background: transparent;
}

.customer-logos-background {
  background: $light-blue-bg;
}

//sass-lint:disable-all
.font-small {
  font-size: 14px !important;
}

.font-regular {

  p {
    font-size: 18px;
    color: $color-black;
    line-height: 1.5;
  }

}

.padding-top0 {
  padding-top: 0;
}

.padding-top10 {
  padding-top: 10px;
}

.padding-top20 {
  padding-top: 20px;
}

.padding-top50 {
  padding-top: 50px;
}

.margin0 {
  margin: 0;
}

.margin-auto {
  margin: auto;
}

.margin-top0 {
  margin-top: 0;
}

.margin-top10 {
  margin-top: 10px;
}

.margin-top20 {
  margin-top: 20px;
}

.margin-top30 {
  margin-top: 30px;
}

.margin-top40 {
  margin-top: 40px;
}

.margin-top50 {
  margin-top: 50px;
}

.margin-bottom0 {
  margin-bottom: 0;
}

.margin-bottom10 {
  margin-bottom: 10px;
}

.margin-bottom20 {
  margin-bottom: 20px;
}

.margin-bottom30 {
  margin-bottom: 30px;
}

.margin-bottom40 {
  margin-bottom: 40px;
}

.margin-bottom50 {
  margin-bottom: 50px;
}

.margin-bottom100 {
  margin-bottom: 100px;
}

.margin-left20 {
  margin-left: 20px;
}

.margin-right20 {
  margin-right: 20px;
}

.image-width50pct {
  width: 50%;
}
.image-width70pct {
  width: 70%;
}
.image-width80pct {
  width: 80%;
}

.font-bold {
  font-weight: 600;
}

.flex-column-md {

  @media all and (max-width: $screen-md-min) {
    flex-direction: column;
  }
}

// sass-lint:disable-all
.tile-resource {
  width: 100%;
  display: flex;
  flex-direction: column;
  border-radius: $border-radius-large;
  box-shadow: $box-shadow;
  background: $color-white;
  overflow: hidden;
  text-decoration: none;

  .tile-date {
    color: $color-gray-light;
    font-weight: 600;
    margin-bottom: 6px;
  }

  //sass-lint:disable-all
  .tile-background-container {
    width: 101%;
    min-height: 180px;
    background-size: cover !important;
    background-position: center center;
    background-repeat: no-repeat;
    transition: $transition-primary;
  }

  .tile-info {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 30px;
    z-index: 1;
    background: $color-white;

    .tile-link {
      margin-top: auto;
      margin-bottom: 0;
    }

    .tile-title {
      color: $color-black;
      font-size: 22px;
      margin-top: 0;
    }

    .tile-subtitle {
      color: $color-gray;
    }

    .tile-description {
      color: $color-black;
    }

    h3 {
      margin-top: 0;
    }

    i {
      font-size: 12px;
      margin-left: 4px;
    }

    @media all and (max-width: $screen-sm-min) {
      padding: 20px;
    }
  }

  &:hover {
    text-decoration: none;

    .tile-background-container {
      transform: scale(1.05);
    }

    .tile-title {
      color: $color-black;
      text-decoration: none;
    }

    .tile-link {
      text-decoration: underline;
    }
  }

  @media all and (max-width: $screen-md-min) {
    max-width: 100%;
  }
}

.tiles-container {
  display: flex;
  justify-content: center;

  .tile {
    width: 100%;

    &:not(:first-child) {
      margin-left: 30px;

      @media all and (max-width: $screen-md-min) {
        margin-left: 0;
        margin-top: 30px;
      }
    }
  }

  &:not(:first-child) {
    margin-top: 30px;
  }

  @media all and (max-width: $screen-md-min) {
    flex-direction: column;
  }
}

.tile {
  border-radius: $border-radius-large;
  background: $color-white;
  box-shadow: 0 2px 4px $color-transparent-alt;
  padding: 40px;

  .tile-icon-large {
    height: 80px;
    max-width: 100%;
    margin-bottom: 20px;
  }

  .tile-icon-medium {
    height: 50px;
    max-width: 100%;
    margin-bottom: 20px;
  }

  .tile-icon-small {
    height: 34px;
    max-width: 100%;
    margin-bottom: 20px;
  }

}

.announcement-container {
  display: flex;
  align-items: center;
  margin: 0 auto;
  max-width: 1100px;
  padding: 40px;
  box-shadow: $box-shadow-medium;
  background: $body-bg;
  border-radius: $border-radius-large;
  width: calc(100% - 40px);
  transform: translateY(-117px);
  text-decoration: none;
  transition: $transition-primary;
  color: $color-black;

  p {
    margin: 0;
  }

  &:hover {
    background: $color-white;
    text-decoration: none;
    color: $color-black;

    .announcement-arrow {
      transform: translateX(-10px);
    }

    @media all and (max-width: $screen-sm-min) {

      .announcement-arrow {
        transform: translateX(10px);
      }
    }
  }

  .announcement-arrow {
    height: 16px;
    transition: $transition-primary;
    transform: translateX(-20px);

    @media all and (max-width: $screen-sm-min) {
      transform: translateX(0);
    }
  }

  .icon {
    width: 40px;
    margin-right: 20px;
    flex-shrink: 0;

    @media all and (max-width: $screen-sm-min) {
      margin-right: 0;
      margin-bottom: 10px;
    }
  }

  .content {
    margin-right: 40px;
    width: 100%;

    @media all and (max-width: $screen-sm-min) {
      margin: 20px 0;
    }
  }

  @media all and (max-width: $screen-sm-min) {
    flex-direction: column;
    align-items: center;
    transform: translateY(-37px);
    text-align: center;
  }
}

.link-with-arrow {
  display: flex;
  justify-content: center;
  align-items: center;

  p {
    margin: 0;
  }

  i {
    margin-left: 6px;
    font-size: 12px;
    transform: translateY(1px);
  }
}

.tile-stat {
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
  width: 100%;

  p {
    color: $color-gray;
    margin: 0;
  }

  h1 {
    font-size: 62px;
    font-weight: 700;
    color: $color-black;
    margin: 0;
    margin-bottom: 6px;
  }
}

.tile-wide-image {
  display: flex;
  align-items: center;

  .tile-wide-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
  }

  img {
    margin-right: 40px;
    width: 110px;
    flex-shrink: 0;

    @media all and (max-width: $screen-sm-min) {
      margin-right: 0;
      margin-bottom: 40px;
    }
  }

  p {
    width: 100%;
  }

  //sass-lint:disable-all
  @media all and (max-width: $screen-sm-min) {
    flex-direction: column;
    align-items: center !important;
  }
}

.tile-animated {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  text-decoration: none;
  color: $color-black;

  .icon-small {
    height: 34px;
    margin: 0 auto;
  }

  h4 {
    color: $color-black;
    margin-top: 20px;
  }

  img,
  .tile-content {
    transition: .2s cubic-bezier(0, 0, 0, 1);
  }

  p {
    color: $color-gray;
  }

  &:hover {
    text-decoration: none;

    h4 {
      color: $color-black;
    }

    img {
      transform: scale(1.05);
    }

    .tile-content {
      transform: translateY(4px);
    }

  }

}

.position-relative {
  position: relative;
}

.overflow-hidden {
  overflow: hidden;
}

.display-none {
  display: none;
}

.menu-item-active {
  position: relative;

  &::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    height: 4px;
    width: 100%;
    background: $color-primary;
    z-index: 1;
  }
}

// gitlab live takeover

.gitlab-live-wrapper {
  background-image: linear-gradient(-180deg, $gitlab-live-gradient-light 0%, $gitlab-live-gradient-dark 100%);
  height: 100%;
  color: $color-white;
}

.gitlab-live-container {
  display: flex;
  justify-content: center;
  align-items: center;
  background-image: linear-gradient(-180deg, $gitlab-live-gradient-light 0%, $gitlab-live-gradient-dark 100%);
  padding: 0 140px;
  margin: 0 auto;
  height: 100%;
  max-width: 1440px;

  iframe {
    margin-right: 80px;
    height: 340px;

    @media all and (max-width: $screen-md-min) {
      margin-right: 0;
      margin-bottom: 40px;
    }

    @media all and (max-width: $screen-sm-min) {
      height: 280px;
    }
  }

  @keyframes animateLine {

    40% {
      stroke-dashoffset: 0;
    }

    60% {
      stroke-dashoffset: 0;
    }

    to {
      stroke-dashoffset: -1000;
    }
  }

  .gitlab-live-logo-container,
  .gitlab-live-iframe-container {
    height: 380px;
    width: 100%;
    display: flex;
    justify-content: center;

    svg {
      height: 100%;

      polyline {
        stroke-dasharray: 1000;
        stroke-dashoffset: 1000;
        animation: 6s animateLine ease-in-out infinite;
      }
    }

    @media all and (max-width: $screen-sm-min) {
      height: 320px;
      max-width: 100%;
      margin-bottom: 40px;
    }
  }

  .gitlab-live-iframe-container {
    height: 315px;
    margin: 30px;
  }

  .gitlab-live-info-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: 40px 0;

    &.margin-top0 {
      margin-top: 0;
    }

    h1 {
      margin-top: 0;
    }

    @media all and (max-width: $screen-md-min) {
      margin-bottom: 20px;
    }
  }

  .countdown-container {
    display: flex;

    .countdown {
      text-align: center;
      margin-right: 40px;

      h1 {
        font-size: 90px;
        font-weight: 200;
        margin: 0;

        @media all and (max-width: $screen-sm-min) {
          font-size: 60px;
        }
      }

      p {
        margin: 0;
      }

      @media all and (max-width: $screen-sm-min) {
        margin-right: 0;
      }
    }

    @media all and (max-width: $screen-sm-min) {
      justify-content: space-between;
      align-items: center;
      max-width: 420px;
      width: 100%;
      margin: auto;
    }
  }

  .gitlab-live-logo {
    height: 410px;
    margin: auto;
    padding: 0 50px;
  }

  @media all and (max-width: $screen-md-min) {
    padding: 80px;
    flex-direction: column;
  }

  @media all and (max-width: $screen-sm-min) {
    padding: 20px;
  }
}

// sdlc include

.sdlc-container {
  padding: 50px 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;

  .future-categories {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

    @media all and (max-width: $screen-lg-min) {
      margin-top: 0;
      align-items: flex-start;
      text-align: left;
    }
  }

  .future-categories,
  .current-categories {
    width: 100%;
  }

  .year-established {
    margin-top: auto;
    margin-bottom: 0;
    padding: 10px;
    padding-top: 20px;
    width: 100%;

    p {
      margin: 0;
      margin-bottom: 6px;
    }

    a {
      font-size: 16px;
      padding: 10px;
      width: 100%;
      margin: 0;
      min-width: 0;
    }
  }

  .table-container {
    position: relative;
    margin-left: 80px;
    width: 100%;

    @media all and (max-width: $screen-lg-min) {
      margin-left: 0;
    }

  }

  .devops-tools-wrapper {
    height: 90px;
    flex-shrink: 0;
    width: 100%;

    .devops-tools-container {
      position: relative;
      width: 100%;
      height: 100%;
    }

    .replace-text {
      display: none;
      width: 100%;

      @media all and (max-width: $screen-lg-min) {
        display: block;
        text-align: left;
        padding: 20px;
      }
    }

    @media all and (max-width: $screen-lg-min) {
      display: flex;
    }
  }

  .table-label {
    position: absolute;
    right: calc(100% + 20px);
    text-align: right;
    color: $color-gray;
    font-size: 15px;

    @media all and (max-width: $screen-lg-min) {
      display: none;
    }
  }

  .single-application-label {
    top: 208px;
  }

  .separate-application-label {
    bottom: 100px;
  }

  .sdlc-image {
    display: none;
  }

  .sdlc-description {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: 800px;
    margin-bottom: 50px;

    .title-link {
      color: $color-primary-alt;
      text-decoration: none;

      &:hover {
        text-decoration: none;
        opacity: .6;
      }

    }

  }

  // SDLC table on homepage
  .sdlc-table {
    display: flex;
    position: relative;
    width: 100%;
    border-radius: $border-radius-large;
    background: $color-white;
    box-shadow: $box-shadow;

    .sdlc-column {
      display: flex;
      flex-direction: column;
      width: 100%;
      position: relative;

      &:not(:last-child) {
        border-right: 1px solid $color-gray-extra-light;

        @media all and (max-width: $screen-lg-min) {
          border-right: 0;
        }
      }

      @media all and (max-width: $screen-lg-min) {
        width: calc(50% - 20px);
        margin: 10px;
        flex-shrink: 0;
        border-radius: $border-radius-large;
        background: $color-white;
        box-shadow: $box-shadow;
      }

      @media all and (max-width: $screen-sm-min) {
        width: 100%;
        margin: 0;
        margin: auto;
        margin-bottom: 20px;
        max-width: 500px;
      }
    }

    p {
      font-size: 15px;
    }

    //sass-lint:disable-all
    .devops-tool-logo-container {
      opacity: 0;
      position: absolute;
      left: 0;
      top: 0;
      background: $color-white;
      width: 100%;
      height: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      object-fit: contain;

      .devops-tool-logo {
        display: block;
        max-height: calc(100% - 40px);
        max-width: 80%;
        width: auto;
      }

      .devops-tool-tooltip {
        display: none;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        position: absolute;
        bottom: 100%;
        transform: translateY(10px);
        font-size: 14px;
        text-align: center;
        pointer-events: none;
        transition: $transition-primary;

        .tooltip-text {
          padding: 4px 8px;
          margin: 0;
          border-radius: $border-radius-large;
          background: $color-black;
          color: $color-white;
        }

        .tooltip-carat {
          height: 0;
          border-top: 8px solid $color-black;
          border-bottom: 8px solid transparent;
          border-left: 8px solid transparent;
          border-right: 8px solid transparent;
        }
      }
    }

    .devops-tool-logo-container:hover {

      .devops-tool-tooltip {
        display: flex;
      }

      .devops-tool-logo {
        transform: scale(1.1);
      }
    }

    .stage-container,
    .solutions-container {
      padding: 20px;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      width: 100%;
      border-bottom: 1px solid $color-gray-extra-light;

      svg {
        height: 44px;
        margin-bottom: 10px;
        fill: $color-primary;

        @media all and (max-width: $screen-lg-min) {
          margin-bottom: 0;
          margin-right: 10px;
          height: 34px;
        }
      }

      .gitlab-logo {
        margin-bottom: 20px;
        height: 44px;
        max-width: 100%;
      }

      .devops-tool-logo {
        // position: absolute;
        transition: $transition-primary;
        max-height: calc(80% - 20px);
        max-width: calc(80% - 20px);
      }

      @media all and (max-width: $screen-lg-min) {
        padding: 20px;
        align-items: flex-start;
        text-align: left;
      }
    }

    .logo-container {
      justify-content: center;
    }

    .stage-container {
      flex-shrink: 0;
      width: 100%;

      a {
        display: flex;
        justify-content: center;
        align-items: center;
      }

      p {
        margin: 0;
        font-weight: 600;
        color: $color-primary;
      }

      @media all and (max-width: $screen-lg-min) {
        flex-direction: row;
        align-items: center;

        p {
          font-size: 26px;
        }
      }
    }

    .solutions-container {
      padding: 20px 6px;
      padding-bottom: 6px;
      text-align: center;
      justify-content: space-between;
      width: 100%;
      flex: 1;

      @media all and (max-width: $screen-lg-min) {
        padding: 20px;
        flex-direction: row;
        align-items: flex-start;
        text-align: left;
      }
    }

    &::after {
      content: "";
      background: url('/images/devops-tools/gitlab-logo.svg') center center no-repeat;
      background-size: contain;
      position: absolute;
      left: 0;
      bottom: 100px;
      height: calc(100% - 250px);
      width: 100%;
      pointer-events: none;
      opacity: .1;

      @media all and (max-width: $screen-lg-min) {
        opacity: 0;
      }
    }

    @media all and (max-width: $screen-lg-min) {
      flex-wrap: wrap;
      border-radius: 0;
      background: transparent;
      box-shadow: none;
    }
  }

  @media all and (max-width: $screen-md-min) {
    padding: 50px 0;
  }

}

.sdlc-container-alt {
  padding: 50px 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;

  .table-container {
    position: relative;
    width: 100%;
  }

  .devops-tools-container {
    padding: 10px;
  }

  .table-label {
    position: absolute;
    right: calc(100% + 20px);
    text-align: right;
    color: $color-gray;
    font-size: 15px;

    @media all and (max-width: $screen-sm-min) {
      display: none;
    }
  }

  .single-application-label {
    top: calc(50% - 375px);
    width: 100px;
  }

  .separate-application-label {
    top: calc(50% - 110px);
  }

  .sdlc-image {
    display: none;
  }

  .sdlc-description {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    max-width: 800px;
    margin-bottom: 50px;

    .title-link {
      color: $color-primary-alt;
      text-decoration: none;

      &:hover {
        text-decoration: none;
        opacity: .6;
      }

    }

  }

  .sdlc-table {
    border-radius: $border-radius-large;
    background: $color-white;
    box-shadow: $box-shadow;

    p {
      font-size: 15px;
    }

    .stage-container {

      p {
        margin: 0;
        font-weight: 600;
        color: $color-primary;
      }

    }

    td {
      padding: 20px;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: flex-start;
      width: 100%;
      min-width: 110px;
      border-top: 0;

      &:not(:last-child) {
        border-right: 1px solid $color-gray-extra-light;
      }

      svg {
        height: 44px;
        margin-bottom: 10px;
        fill: $color-primary;
      }

      .gitlab-logo {
        height: 44px;
        max-width: 100%;
        transition: $transition-primary;
      }

      //sass-lint:disable-all
      .devops-tool-logo-container,
      .gitlab-logo-container {
        height: 80px;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;

        .devops-tool-tooltip {
          display: none;
          justify-content: center;
          align-items: center;
          flex-direction: column;
          position: absolute;
          bottom: 100%;
          transform: translateY(10px);
          font-size: 14px;
          text-align: center;
          pointer-events: none;
          transition: $transition-primary;

          .tooltip-text {
            padding: 4px 8px;
            margin: 0;
            border-radius: $border-radius-large;
            background: $color-black;
            color: $color-white;
          }

          //sass-lint:disable-all
          .tooltip-carat {
            height: 0;
            border-top: 8px solid $color-black;
            border-bottom: 8px solid transparent;
            border-left: 8px solid transparent;
            border-right: 8px solid transparent;
          }
        }

        //sass-lint:disable-all
        &:hover {

          .devops-tool-tooltip {
            display: flex;
          }

          .devops-tool-logo,
          .gitlab-logo {
            transform: scale(1.1);
          }
        }
      }

      .devops-tool-logo {
        max-height: 60%;
        transition: $transition-primary;
      }

      @media all and (max-width: $screen-lg-min) {
        padding: 20px 10px;
      }

      @media all and (max-width: $screen-sm-min) {
        width: 140px;
        white-space: normal;
      }

    }

    tr {
      display: flex;
      width: 100%;
      position: relative;

      &:not(:last-child) {
        border-bottom: 1px solid $color-gray-extra-light;
      }

      &.single-application-row {
        border-bottom: 0;
      }

    }

    .logo-container {
      justify-content: center;
    }

    .solutions-container {
      text-align: center;
    }

    .single-application-row > .solutions-container {
      padding-bottom: 0;
    }

  }

  @media all and (max-width: $screen-md-min) {
    padding: 50px 0;
  }

}

// Tiny slider

.testimonials-container {
  margin-top: 100px;
}

//sass-lint:disable-all
.tiny-slider-container {
  position: relative;

  .ten-oh-announcement {
    height: 100%;

    .ten-oh-label {
      height: 50%;

      @media all and (max-width: $screen-lg-min) {
        display: flex;
        justify-content: center;
        align-items: center;
      }
    }

    .ten-oh-description {
      padding: 0 !important;
      height: 100%;

      .ten-oh-description-body {
        max-width: 760px;
        margin: auto;
      }

      .container {
        margin-top: 100px;

        @media all and (max-width: $screen-md-min) {
          margin-top: 0;
        }
      }

      &::before {
        top: 76px;
      }
    }
  }

  .testimonials-slider {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    button {
      background: $color-black !important;
      opacity: .2 !important;
    }

    .tns-nav-active {
      position: relative;
      opacity: 1 !important;
    }

    .testimonials-wrapper {
      width: 100%;
      display: flex;
      padding-bottom: 50px;

      .testimonials-row {
        width: 100% !important;
        display: flex;
        padding: 40px 100px;

        .testimonial {
          width: 100%;
          display: flex;
          flex-direction: column;
          align-items: flex-start;
          background: $color-white;
          padding: 40px;
          border-radius: $border-radius-large;
          box-shadow: $box-shadow;

          &:not(:first-child) {
            margin-left: 30px;

            @media all and (max-width: $screen-lg-min) {
              margin-left: 0;
              margin-top: 30px;
            }

            @media all and (max-width: $screen-sm-min) {
              margin-top: 20px;
            }
          }

          .testimonial-author {
            font-size: 16px;
            color: $color-gray;
          }

          .review-stars {
            height: 20px;
            margin: 10px 0;
          }

          .testimonials-link {
            margin-top: auto;
          }

          .testimonial-logo {
            height: 30px;
            max-width: 100%;
            margin-bottom: 20px;
          }
        }

        @media all and (max-width: $screen-lg-min) {
          flex-direction: column;
          padding: 20px 100px;
        }

        @media all and (max-width: $screen-sm-min) {
          padding: 20px;
        }
      }
    }
  }

  .tns-controls,
  .tns-nav {
    position: absolute;
    z-index: 1;
  }

  .tns-outer {
    width: 100%;
    display: flex;
    justify-content: center;
  }

  .my-slider {
    position: relative;
    height: 600px;
    overflow: hidden;

    @media all and (max-width: $screen-md-min) {
      height: 760px;
    }

    @media all and (max-width: $screen-sm-min) {
      height: 820px;
    }
  }

  // .slider-controls {
  //   position: absolute;
  //   left: 0;
  //   top: calc(50% - 25px);
  //   width: 100%;
  //   display: flex;
  //   justify-content: space-between;
  //   padding: 0 20px;
  //   z-index: 1;
  // }

  .arrow-container {
    position: absolute;
    padding: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    opacity: .6;
    outline: 0;
    border-radius: $border-radius-large;
    cursor: pointer;
    z-index: 100;

    &:hover,
    &:focus {
      opacity: 1;
      background: $features-semi-transparent-white;
    }

    @media screen and (max-width: $screen-sm-min) {
      display: none;
    }
  }

  .prev-button {
    left: 20px;
    top: calc(50% - 25px);
  }

  .next-button {
    right: 20px;
    top: calc(50% - 25px);
  }

  .slider-arrow {
    height: 100%;
  }

  .tns-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    bottom: 40px;

    button {
      height: 2px;
      border: 0;
      box-shadow: none;
      border-radius: $border-radius-circle;
      width: 20px;
      background: $color-white;
      opacity: .6;
      padding: 0;
      position: relative;
      outline: 0;

      &:not(:first-child) {
        margin-left: 20px;
      }

      &:before {
        content: "";
        height: 20px;
        width: 100%;
        position: absolute;
        left: 0;
        top: -10px;
      }
    }

    .tns-nav-active {
      position: relative;
      opacity: 1;
    }

    @media all and (max-width: $screen-md-min) {
      bottom: 30px;
    }
  }
}

.forrester-waves-container {
  display: flex;
  flex-direction: column;
  padding: 50px;

  .forrester-wave-row {
    display: flex;
    width: 100%;
    margin: 50px 0;

    .forrester-wave-graphic {
      width: auto;
    }

    .wave-row-content {
      width: 100%;
      margin: 0 20px;
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      justify-content: center;

      .forrester-logo,
      .gartner-logo {
        height: 40px;
        width: auto;
      }

      .idc-logo {
        height: 80px;
        width: auto;
      }

      .forrester-graphic-title {
        margin: 20px 0;
        box-shadow: $box-shadow;
        padding: 8px 20px;
        border-radius: $border-radius-large;
        background: $color-white;

        p {
          margin: 0;
        }
      }

      @media all and (max-width: $screen-md-min) {
        margin: 20px 0;
      }
    }

    &:nth-child(even) {

      .wave-row-content:first-child {
        order: 2;

        @media all and (max-width: $screen-md-min) {
          order: 1;
        }
      }

      .wave-row-content:last-child {
        order: 1;

        @media all and (max-width: $screen-md-min) {
          order: 2;
        }
      }
    }

    @media all and (max-width: $screen-md-min) {
      flex-direction: column;
    }
  }

  @media all and (max-width: $screen-md-min) {
    padding: 50px 20px;
  }
}

// Hello bar

.hello-bar-wrapper {
  //sass-lint:disable-all
  .hello-bar {
    background-color: $body-bg;

    &:not(.hello-bar-dark) {

      .hello-bar-content {
        border-bottom: 1px solid $color-gray-extra-light;
      }
    }
  }

  .hello-bar-bottom {
    position: fixed;
    width: 100%;
    border-top: 1px solid $color-gray-extra-light;
    z-index: 1;
    background: $body-bg;
    left: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;

    .dismiss-hellobar {
      border: 0;
      box-shadow: none;
      position: absolute;
      height: 40px;
      width: 40px;
      top: calc(50% - 20px);
      padding: 0;
      right: 40px;
      cursor: pointer;
    }

    .hellobar-x {
      height: 20px;
    }

    .hello-bar-content {
      padding: 16px;
      position: relative;

      p {
        font-size: 18px;
        font-weight: 600;
        padding: $input-padding;
        color: $color-primary-alt;
      }

      @media all and (max-width: $screen-sm-min) {
        margin-right: 80px;
      }

    }

    &:hover {
      text-decoration: none;
      color: $color-primary-alt;

      .hello-bar-content {
        opacity: .8;
      }

    }

  }

  .hello-bar-dark {
    text-decoration: none;

    .hello-bar-content {
      background-color: $color-primary-dark;
      color: $color-white;

      &:hover {
        color: $color-transparent-white-alt;
      }

    }

    &:hover {
      text-decoration: none;
    }

  }

  .hello-bar-content {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    padding: 16px;

    img {
      height: 30px;
      flex: 0 0 auto;
    }

    p {
      margin: 0 0 0 10px;
      font-size: 16px;
    }
  }

}

// divider half

.divider-half {
  @media (min-width: $screen-md-min) {
    position: relative;

    &::before {
      position: absolute;
      left: 50%;
      top: 0;
      height: 100%;
      display: block;
      width: 2px;
      background-color: $border-color;
      content: "";
    }
  }
}

// Customer logos partial includes/home

.customer-logos-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 20px;
  padding-top: 100px;

  .see-all-link {
    display: none;
    text-align: center;
    margin-top: 50px;

    @media (max-width: $screen-sm-min) {
      display: block;
    }
  }

  p {
    text-align: center;
    font-size: 18px;
    line-height: 1.4;
    color: $color-gray;
    margin: 0;
  }

  .logos-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    padding: 20px 50px;
    width: 100%;
    max-width: 1440px;
    margin: auto;
    overflow: hidden;

    a:hover {

      svg {
        color: $color-primary;
        opacity: 1;
        fill: $color-primary;
      }
    }

    svg {
      height: 50px;
      max-width: 110px;
      padding: 20px;
      box-sizing: content-box;
      opacity: .4;
      color: #444;
      fill: #444;
      transition: $transition-primary;
    }

    @media (max-width: $screen-lg-min) {
      padding: 20px;
    }

    @media (max-width: $screen-sm-min) {
      -webkit-mask-image: -webkit-gradient(linear, bottom 50%, bottom top, from(rgba(0,0,0,1)), to(rgba(0,0,0,0)));
    }
  }

  @media (max-width: $screen-sm-min) {
    max-height: 500px;
  }
}

@keyframes sdlcHideAndShow {

  from {
    transform: scale(0);
  }

  10% {
    transform: scale(1);
  }

  90% {
    transform: scale(1);
  }

  to {
    transform: scale(0);
  }

}

.autodevops-illustration-container {
  width: 100%;

  .eyebrow {
    transform-origin: .2% 1%;
  }

  .swear {
    opacity: 0;
  }

  .music-note {
    opacity: 0;
    animation: blinking 6s cubic-bezier(0, 0, 0, 1) infinite;
  }

  .music-note:nth-child(odd) {
    animation-delay: 2s;
  }

  .developer {

    .whistle-note {
      opacity: 0;
    }

    .arms {
      opacity: 0;
    }

    .body-container {
      transform-origin: 3% 15%;
    }

    .process {
      opacity: 0;
      overflow: hidden;

      .chef-deploy-approved {
        opacity: 0;
      }

      .auto-devops-steps {
        opacity: 0;
      }

      .mouse {
        opacity: 0;
      }

      .deploy-button {
        transform-origin: 6% 1%;
      }

      .approval-circle-shape {
        stroke-dasharray: 100;
        stroke-dashoffset: 100;
      }

      .check {
        stroke-dasharray: 20;
        stroke-dashoffset: 20;
      }

      .binary-text {
        transform-origin: 7.5% 7.1%;
      }

      .load-bar {
        width: 0;
      }

    }

    .shirt {
      transform-origin: 5% 8%;
    }

  }

  .plant-dead-container {
    display: none;
  }

  .container-right {

    .mouth {
      stroke-dasharray: 40;
      stroke-dashoffset: -5;
    }

    .mug-container {

      .coffee-mists {
        stroke-dasharray: 20;
        stroke-dashoffset: -20;
        animation: coffeeMists 4s ease-in-out infinite;
      }

    }

    .plant-container {

      .petal {
        transform: rotate(10deg);
        transform-origin: 1.2% 5%;
        animation: swayPetals 3s ease-in-out infinite;
      }

    }

  }

  .container-left {

    .gerrit-review {

      .code-line {
        opacity: .2;
      }

    }

  }

  @keyframes blinking {
    10% {
      opacity: 0;
    }

    20% {
      opacity: 1;
    }

    30% {
      opacity: 0;
    }

    40% {
      opacity: 1;
    }

    50% {
      opacity: 0;
    }

  }

  .shirt-animation {
    animation: codingShirt 1.4s linear infinite;
  }

  @keyframes codingShirt {

    25% {
      transform: rotate(2deg);
    }

    40% {
      transform: rotate(-2deg);
    }

    50% {
      transform: rotate(-3deg);
    }

    64% {
      transform: rotate(-1deg);
    }

    83% {
      transform: rotate(2deg);
    }

    89% {
      transform: rotate(1deg);
    }

  }

  @keyframes coffeeMists {

    75% {
      stroke-dashoffset: 30;
    }

    to {
      stroke-dashoffset: 30;
      transform: translateY(-20px);
    }

  }

  @keyframes swayPetals {

    50% {
      transform: rotate(-10deg);
    }

  }



  .highlight-green {
    background-color: "#e1f7d2"
  }

}

.highlight-yellow {
  background: $color-yellow;
}

.highlight-green {
  background-color: #e1f7d2
}

.dashboard-embed {
    width: 100%;
}

.video_container.cbneedsconsent {
  background: $color-gray-extra-light-alt;
}

// sass-lint:disable no-important
svg[id^="mermaid"] {
  font-size: 12px !important;
}

svg[id^="mermaid"] foreignObject {
  overflow: visible;
}

.cbnc-message {
  background: $color-gray-extra-light-alt;
  border: 1px solid $blog-color-mk-border;
  color: $color-gray;
  font-size: .88em;
  font-style: italic;
  margin-bottom: 10px;
  padding: 3px 9px;
}

header .cbneedsconsent {
  left: 0;
  position: absolute;
  top: 100%;
  width: 100%;
}

.cbnc-search-header {
  display: none;
}

.search-visible + .cbnc-search-header {
  background: rgba(255,255,255,1);
  border: 0 none;
  color: rgba(0,0,0,.6);
  display: block;
  left: 0;
  margin: 0;
  padding: 5px 10px;
  position: absolute;
  top: 58px;
  width: 100%;
}

.navbar-header-dark .search-visible + .cbnc-search-header,
.navbar-header-transparent .search-visible + .cbnc-search-header {
  background: #48367d;
  color: rgba(255,255,255,.8);
}

.cbnc-search-handbook {
  background: none;
  border: 0 none;
  margin-bottom: 5px;
  padding: 0;
}

.cbnc-message a,
.cbnc-message a:active,
.cbnc-message a:focus,
.cbnc-message a:hover {
  color: $color-gray;
  text-decoration: underline;
}

.navbar .cbnc-message a,
.navbar .cbnc-message a:active,
.navbar .cbnc-message a:focus,
.navbar .cbnc-message a:hover {
  color: rgba(0,0,0, 0.6);
  padding: 0;
}

.navbar-header-dark .cbnc-message a,
.navbar-header-dark .cbnc-message a:active,
.navbar-header-dark .cbnc-message a:focus,
.navbar-header-dark .cbnc-message a:hover,
.navbar-header-transparent .cbnc-message a,
.navbar-header-transparent .cbnc-message a:active,
.navbar-header-transparent .cbnc-message a:focus,
.navbar-header-transparent .cbnc-message a:hover {
  color: rgba(255,255,255,.8);
}